#pragma once

#include "AbstractVisualNode.h"

class IconNode : public AbstractVisualNode
{
public:

	enum class IconType
	{
		Image,
		Svg
	};

	IconNode(const Point& loc);

	void setContent(IconType type, std::unique_ptr<AbstractVisualNode>);

private:
	std::unique_ptr<AbstractVisualNode> mContent;
	IconType mType{ IconType::Svg };
	bool mContentDirty{ true };

};